> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询提现限额

> 查询单笔及单日提现限额。

查询单笔及单日提现限额。

> [!NOTE]
>
> 使用 Broker API Key 调用。此接口查询 Broker 配置，无需提供 `X-User-Wallet-Address`。 认证规则见[Broker API Key 与签名](https://dexbuilder.mintlify.site/api-reference/common/broker-authentication.md)。

## 使用说明

* `once` 与 `day` 为 USDT 计价的限额。可通过 `network` 查询指定网络的最小提现额 `min_withdraw`；未指定网络时不返回该字段。调用时须提供 `x-perp-device-type`，取值见[平台 API 认证](https://dexbuilder.mintlify.site/api-reference/dexbuilder/authentication.md)。


## OpenAPI

````yaml openapi/dexbuilder.yaml GET /api/v4/dexbuilder/withdraw_limit
openapi: 3.0.3
info:
  title: DexBuilder 平台 Broker API
  version: 1.0.0
  description: DexBuilder 平台 Broker API，涵盖资产配置、用户、充值与提现能力。认证和用户钱包校验见本站统一网关说明。
servers:
  - url: https://api.dexbuilder.com
security: []
paths:
  /api/v4/dexbuilder/withdraw_limit:
    get:
      tags:
        - 资产配置
      summary: 查询提现限额
      description: 查询当前 Broker 提现限制。
      operationId: getDexBuilderWithdrawLimit
      parameters:
        - $ref: '#/components/parameters/DeviceType'
        - name: network
          in: query
          required: false
          description: 网络标识，例如 ethereum、solana、arbitrum、bsc 或 base。提供后返回对应网络的最小提现额。
          schema:
            $ref: '#/components/schemas/OpenAPIChainId'
      responses:
        '200':
          description: 查询成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvelopePerpWithdrawLimit'
        '401':
          $ref: '#/components/responses/GatewayUnauthorized'
        '403':
          $ref: '#/components/responses/ProjectAccessDenied'
      security:
        - BrokerAPIKey: []
          Timestamp: []
          Signature: []
components:
  parameters:
    DeviceType:
      name: x-perp-device-type
      in: header
      required: true
      description: >-
        DexBuilder 平台 API 设备类型：1 Android、2 iOS、3 WEB。缺失或取值无效时返回
        INVALID_DEVICE_TYPE。仅适用于列明此请求头的平台接口。
      schema:
        type: string
        enum:
          - '1'
          - '2'
          - '3'
      example: '3'
  schemas:
    OpenAPIChainId:
      type: string
      enum:
        - base
        - bsc
        - ethereum
        - solana
        - arbitrum
      description: |
        链标识，与 GET /networks 的 `network` 一致。仅接受上述 canonical 值；
        不接受简写别名 `eth`、`sol`、`arb`（请求将返回 INVALID_ARGUMENT）。
      example: ethereum
    EnvelopePerpWithdrawLimit:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          properties:
            data:
              $ref: '#/components/schemas/PerpWithdrawLimitResponse'
    EnvelopeBase:
      type: object
      properties:
        code:
          type: integer
          example: 0
          description: 业务码，`0` 表示成功
        message:
          type: string
          example: success
          description: 人类可读说明，成功时为 success
        reason:
          type: string
          description: 错误原因标识；成功时通常为空字符串
        trace_id:
          type: string
          description: 链路追踪 ID，排障时提供
    PerpWithdrawLimitResponse:
      type: object
      properties:
        once:
          type: string
          description: 单笔提现上限，USDT 计价十进制字符串
          example: '50000'
        day:
          type: string
          description: 自然日累计提现上限，USDT 计价十进制字符串
          example: '100000'
        min_withdraw:
          type: string
          description: 指定 `network` query 时由 Perp withdraw-min-limit 返回的最小提现额（USDT 十进制字符串）
          example: '20'
    ErrorEnvelope:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          required:
            - label
          properties:
            label:
              type: string
              description: 稳定的机器可读错误标识
            data:
              nullable: true
              description: 错误时一般为 null
  responses:
    GatewayUnauthorized:
      description: Broker API Key、签名或时间戳无效
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          examples:
            invalidKey:
              summary: 无效 API Key
              value:
                label: INVALID_KEY
                message: Invalid key provided
                code: 401
                trace_id: abc123
            invalidSignature:
              summary: 签名错误
              value:
                label: INVALID_SIGNATURE
                message: Invalid signature
                code: 401
                trace_id: abc123
    ProjectAccessDenied:
      description: 项目未绑定或 Broker/API Key 不匹配
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          example:
            code: 40300801
            reason: P_DEX_BUILDER_IN_PROJECT_ACCESS_DENIED
            label: PROJECT_ACCESS_DENIED
            message: project access denied
            data: null
  securitySchemes:
    BrokerAPIKey:
      type: apiKey
      in: header
      name: KEY
      description: Broker API Key
    Timestamp:
      type: apiKey
      in: header
      name: Timestamp
      description: Unix 秒级时间戳
    Signature:
      type: apiKey
      in: header
      name: SIGN
      description: 使用 Broker Secret Key 生成的 HMAC-SHA512 十六进制签名

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.